
Redmine - Defect #863

Download page needs update, and making tags/stable svn area.

2008-03-15 00:29 - W Snyder

Status: Closed Start date: 2008-03-15

Priority: Low Due date:  

Assignee:  % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version:    

Resolution: Wont fix Affected version:  

Description

http://www.redmine.org/wiki/redmine/Download

Indicates a svn checkout for stable-0.6.  I had it all installed and was

seeing already fixed bugs when I realized this information is out of

date.  I'd suggest updating the wiki to "tags/stable" with no revision number.

tags/stable then would be a svn copy of tags/stable-0.6.4.  (BTW there is no

tags/stable-0.6.4 - please make one.)  Then on a new release you can just

"svn rm tags/stable; svn cp tags/stable-version tags/stable".  This is nice

because you don't need to update the docs, and users that want to use svn

access can just svn update to get it!  (If someone wants to pin to a version,

rather than the latest stable, they'd checkout tags/stable-VERSION instead.)

Also note http://www.redmine.org/wiki/redmine/RedmineInstall

says "database.example.yml" it should be "database.yml.example"

Thanks, I'm happy with what I've seen so far, and look forward to helping

out here - just need to get my site data ported first!

History

#1 - 2008-03-15 11:39 - Jean-Philippe Lang

- Target version deleted (0.7)

#2 - 2008-03-17 18:37 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Wont fix

Tag tags/0.6.4 was committed in r1251 (I did a mistake when first creating this tag).

Concerning stable branches, there is a 0.6-stable and there will be a 0.7-stable. But there won't be a stable branch. It's up to you to move from 0.6 to

0.7.

Thanks for pointing out the error in the install doc. I've fixed it.
